package com.red.circle.wallet.app.service;


import com.red.circle.common.business.dto.cmd.AppExtCommand;
import com.red.circle.wallet.app.dto.cmd.UserPayAuthCheckCmd;
import com.red.circle.wallet.app.dto.cmd.UserPayAuthCmd;

/**
 * 支付密码服务
 *
 * @author zongpubin on 2023/11/30
 */
public interface UserPayAuthService {

  void addOrUpdatePayPwd(UserPayAuthCmd cmd);

  Boolean isPwdSetup(AppExtCommand cmd);

  Boolean payCheckPwd(UserPayAuthCheckCmd cmd);
}
